Page MenuHomePhabricator

Import S5 to dbstore2001 and dbstore2002 + compression
Closed, ResolvedPublic

Description

Import S5 into dbstore2001 (once it has caught up) and into dbstore2002 and then compress it.
This will potentially go to the new sanitarium host so we can have S1,S3,S4 and S5 there (or at least see if it fits)

Details

Related Gerrit Patches:
operations/mediawiki-config : masterdb-codfw.php: Repool db2066
operations/mediawiki-config : masterdb-codfw: Depool db2066 for mainteance

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 11 2016, 10:05 AM
Marostegui moved this task from Triage to In progress on the DBA board.Nov 11 2016, 10:05 AM

Change 321353 had a related patch set uploaded (by Marostegui):
db-codfw: Depool db2066 for mainteance

https://gerrit.wikimedia.org/r/321353

Change 321353 merged by jenkins-bot:
db-codfw: Depool db2066 for mainteance

https://gerrit.wikimedia.org/r/321353

Mentioned in SAL (#wikimedia-operations) [2016-11-14T07:52:18Z] <marostegui@tin> Synchronized wmf-config/db-codfw.php: Depool db2066 - T150518 (duration: 03m 09s)

Mentioned in SAL (#wikimedia-operations) [2016-11-14T13:39:01Z] <marostegui> Stopping replication in db2066 for maintenance - T150518

I have started to transfer dewiki to dbstore2001 from db2066

The transfer finished for both, dewiki and wikidatawiki.
I am now importing dewiki's tablespace.

dewiki tablespace got imported.
Now the import is happening on wikidatawiki

The import went fine and dbstore2001's s5 instance is catching up. I will start the compression and then the import to dbstore2002.

Mentioned in SAL (#wikimedia-operations) [2016-11-16T07:30:37Z] <marostegui> Stopping replication in db2066 for maintenance - T150518

S5 caught up and was compressed.
I have started the transfer to dbstore2002 now.

dbstore2002 got all the tables imported from dewiki and wikidatawiki and it is now catching up with the master.

Change 321889 had a related patch set uploaded (by Marostegui):
db-codfw.php: Repool db2066

https://gerrit.wikimedia.org/r/321889

Change 321889 merged by jenkins-bot:
db-codfw.php: Repool db2066

https://gerrit.wikimedia.org/r/321889

Mentioned in SAL (#wikimedia-operations) [2016-11-16T15:47:18Z] <marostegui@tin> Synchronized wmf-config/db-codfw.php: Repool db2066 - T150518 (duration: 00m 49s)

dbstore2002 finished catching up. I am now compressing dewiki and wikidatawiki

This is all done.
Both dbstore2001 and dbstore2002 are running now dewiki and wikidatawiki (s5) and compressed
See results here: T150747#2805220

Marostegui closed this task as Resolved.Nov 18 2016, 9:31 AM